%define nam             scim-uim
%define ver             0.1.3
%define rel             b1

# Something's not quite right with libtool....
%define __libtoolize    echo

Summary:        UIM Input Method Engine for SCIM
Name:           %{nam}
Version:        %{ver}
Release:        %{rel}
License:        GPL
Group:          System Environment/Libraries
URL:            http://www.freedesktop.org/~suzhe
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Source0:        %{name}-%{version}.tar.bz2
#NoSource:	0

PreReq:         /sbin/ldconfig, /bin/sh

Requires:	scim >= 0.99.8
BuildRequires:  scim-devel >= 0.99.8
Requires:	uim >= 0.3.9
BuildRequires:  uim-devel >= 0.3.9

BuildArchitectures: i586

%description
SCIM is a developing platform to significant reduce the difficulty of
input method development.

%changelog
* Sun Jun 13 2004 James Su <suzhe@tsinghua.org.cn>
- first release of scim-uim.

#--------------------------------------------------

%prep

%setup -n %{name}-%{version}

%build
%configure --disable-static

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

rm -f $RPM_BUILD_ROOT//usr/lib/scim-1.0/IMEngine/uim.{a,la}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
/usr/lib/scim-1.0/IMEngine/uim.so
/usr/share/scim/icons/scim-uim.png


%changelog
* Tue Dec 28 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
